Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support.components
Class TestStepComboBoxModel

    java.lang.Object
      javax.swing.AbstractListModel
          com.eviware.soapui.support.components.TestStepComboBoxModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.ComboBoxModel, javax.swing.ListModel

    public class TestStepComboBoxModel

extends javax.swing.AbstractListModel
implements javax.swing.ComboBoxModel

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`TestStepComboBoxModel(WsdlTestCase testCase)`

Method Summary
`java.lang.Object` | `getElementAt(int index)`
`java.lang.Object` | `getSelectedItem()`
`WsdlTestStep` | `getSelectedStep()`
`int` | `getSize()`
`void` | `release()`
`void` | `setSelectedItem(java.lang.Object anItem)`

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.ListModel
`addListDataListener, removeListDataListener`

Constructor Detail

### TestStepComboBoxModel

    public TestStepComboBoxModel(WsdlTestCase testCase)

Method Detail

### release

    public void release()

### getElementAt

    public java.lang.Object getElementAt(int index)

  Specified by:
    `getElementAt` in interface `javax.swing.ListModel`

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `javax.swing.ListModel`

### getSelectedItem

    public java.lang.Object getSelectedItem()

  Specified by:
    `getSelectedItem` in interface `javax.swing.ComboBoxModel`

### setSelectedItem

    public void setSelectedItem(java.lang.Object anItem)

  Specified by:
    `setSelectedItem` in interface `javax.swing.ComboBoxModel`

### getSelectedStep

    public WsdlTestStep getSelectedStep()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.